

uniform mat4 u_m44ModelViewProjection;
uniform mat4 u_m44ShadowProjection;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;
attribute vec2 a_v2TexCoord3;

varying vec4 v_v4ShadowMapPosition;
varying highp vec2 v_v2TexCoord;
varying highp vec2 v_v2TexCoordLightmap;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v2TexCoordLightmap = a_v2TexCoord3;
	v_v4ShadowMapPosition = ((u_m44ShadowProjection * a_v4Position) * 0.5) + 0.5;

	gl_Position = vec4((v_v2TexCoordLightmap.x - 0.5) * 2.0, (v_v2TexCoordLightmap.y - 0.5) * 2.0, 0.0, 1.0);
//	gl_Position = vec4((v_v4ShadowMapPosition.x - 0.5) * 2.0, (v_v4ShadowMapPosition.y - 0.5) * 2.0, 0.0, 1.0);
}

